/**
 * @brief           OSP Primitive Header
 * @author          AXELL CORPORATION
 * @description     OSP Primitive提供ヘッダ。<p>OSP Primitive使用時にincludeして下さい。
 * @note            none
 * @history         2017_02_22  初版
 * @history         2017_10_26  Ver2.0
*/
/* DOM-IGNORE-BEGIN */
/*
 * This program was created by AXELL CORPORATION.
 * Copyright (C) 2017 AXELL CORPORATION, all rights reserved.
 */

#ifndef __OSPPRM_H__
#define __OSPPRM_H__
/* DOM-IGNORE-END */

#ifdef __cplusplus
extern "C" {
#endif

/*************************************************************************************
 * プロトタイプ定義
 ************************************************************************************/
void AG903_OSPPrmCTRL(const uint8_t ch, const uint8_t en);
void AG903_OSPPrmPRIOR(const uint8_t ch, const uint8_t pri);
void AG903_OSPPrmFIFOSTAT(const uint8_t ch, uint8_t *ovf, uint8_t *siz);
void AG903_OSPPrmFIFOCTRL(const uint8_t ch);
void AG903_OSPPrmFIFODT(const uint8_t ch, const uint32_t *dats, const uint32_t len);
void AG903_OSPPrmSTAT(const uint8_t ch, uint8_t *stat, uint8_t *cnt);
void AG903_OSPPrmEnableEvent(const uint8_t evt, const uint8_t en, const uint8_t cnt);
void AG903_OSPPrmGetEventStat(const uint8_t evt, uint8_t *ovf, uint8_t *cnt);
void AG903_OSPPrmFLAGSET(const uint32_t flag);
void AG903_OSPPrmFLAGCLR(const uint32_t flag);
void AG903_OSPPrmFLAGSTAT(uint32_t *val);

#ifdef __cplusplus
}
#endif

#endif/* __OSPPRM_H__ */
